> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heydollr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Order



## OpenAPI

````yaml https://api.heydollr.app/openapi.json delete /{version}/orders/cancel/{id}
openapi: 3.1.0
info:
  title: Dollr Open API
  version: 1.0.0
servers: []
security: []
paths:
  /{version}/orders/cancel/{id}:
    delete:
      tags:
        - orders
      summary: Cancel Order
      operationId: cancel_order__version__orders_cancel__id__delete
      parameters:
        - name: version
          in: path
          required: true
          schema:
            const: v1
            type: string
            title: API version
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Object ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    OrderResponse:
      properties:
        id:
          type: integer
          title: Id
        reference_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Reference Id
        order_number:
          type: string
          title: Order Number
        counterparty_id:
          type: integer
          title: Counterparty Id
        currency:
          type: string
          maxLength: 3
          minLength: 3
          title: Currency
          description: Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
        total_amount:
          anyOf:
            - type: number
            - type: integer
          title: Total Amount
          description: Amount
        note:
          type: string
          title: Note
        status:
          type: string
          title: Status
        fee_bearer:
          type: string
          title: Fee Bearer
        paid_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Paid At
        as_payment_link:
          type: boolean
          title: As Payment Link
        owner_id:
          type: integer
          title: Owner Id
        owner_type:
          type: string
          title: Owner Type
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - order_number
        - counterparty_id
        - currency
        - total_amount
        - note
        - status
        - fee_bearer
        - as_payment_link
        - owner_id
        - owner_type
        - created_at
        - updated_at
      title: OrderResponse
      description: OrderResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````